Skip to main content
POST
Create new customer

Authorizations

Authorization
string
header
required

Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.

Path Parameters

tenantId
string<uuid>
required

Id of your debt collection partner's tenant. You can find it on the API page in the creditor portal.

Query Parameters

creditorId
string<uuid>
required

Your creditor id. You can find it on the API page in the creditor portal.

Body

application/json

New customer object

isCompany
boolean
required

Is the customer a company

referenceId
string
required

Your reference id for the customer. Typically the customer number from your own system.

users
object[]
required
properties
object

Optional customer properties keyed by handle. The property types must already be configured for customers by the tenant. Customer properties are not scoped to case groups and are shared across all cases on the customer. Values must match each configured type.

Example:

Response

Successful operation

customerId
string<uuid>
required

Id of the customer